﻿*
{
    color: rgba(0, 0, 0, 0.8);
}

.link a
{
    color: rgba(0,0,0,0.8);
}

.link:hover::before
{
    color: black;
}

/* Entête */

.logo {
    max-height: 100px;
    line-height: 100px;
}

    .logo img {
        max-width: 100%;
        max-height: 100px;
    }

.header {
    background-color: white;
}

.header-title {
    color: #515048;
    font-size: 1.8em;
    font-weight: bold;
    margin-bottom: 0;
    margin-top: 10px;
    display: block;
}

.header-subtitle {
    color: #515048;
    font-size: 1.2em;
    margin: 0;
    display: block;
}

.header-season {
    color: #f28c00;
    font-size: 1.2em;
    margin: 0;
    display: block;
}

.navbar-before {
    height: 5px;
    background-color: #ACC0E2;
}

.aide_non_dispo {
    opacity: 0.25;
}

/* profil */

.profile-pic {
    background-color: white;
    display: inline;
    max-height: 100px;
    max-width: 100px;
    margin-bottom: 10px;
}

.profile-name {
    font-size: 1.5em;
    margin: 0;
}

.logout-icon {
    font-size: 2.4em;
    position: absolute;
    left: 10px;
    top: 10px;
    transition: 0.5s;
}

/* conteneurs principaux */

.col-content {
    padding: 0;
}

.content {
    padding: 15px 0 0 0;
}

.before-footer {
    min-height: calc(100% - 130px); /*margin-bottom + footer height = 130px*/
    margin-bottom: 50px;
}

    body > .row, .before-footer > .row {
        margin: 0;
    }


#sticky-boxes.fixed-container {
    position: fixed;
    z-index: 1029; /* la navbar est à 1030 */
}

/* pied de page */

.lblTimer {
    text-align: right;
    color: darkgray;
    font-style: italic;
    font-size: 0.9em;
}

.footer {
    text-align: center;
    color: white;
    padding: 10px;
    background-color: #515048;
    height: 80px;
}

/* bouton cutom (généré par : http://twitterbootstrap3buttons.w3masters.nl/) */
.btn-custom {
    background-color: #90c2e5;
    border-color: #90c2e5;
}

    .btn-custom:hover,
    .btn-custom:focus,
    .btn-custom:active,
    .btn-custom.active {
        background-color: #005c9d;
        border-color: #004d83;
    }

    .btn-custom.disabled:hover,
    .btn-custom.disabled:focus,
    .btn-custom.disabled:active,
    .btn-custom.disabled.active,
    .btn-custom[disabled]:hover,
    .btn-custom[disabled]:focus,
    .btn-custom[disabled]:active,
    .btn-custom[disabled].active,
    fieldset[disabled] .btn-custom:hover,
    fieldset[disabled] .btn-custom:focus,
    fieldset[disabled] .btn-custom:active,
    fieldset[disabled] .btn-custom.active {
        background-color: #90c2e5;
        border-color: #90c2e5;
    }
/* btn-custom style ajouté à la main */
.btn-custom {
    color: white !important;
}

/* forms */

.obligatoire {
    font-weight: bold;
}

    .obligatoire:before {
        color: #F28C00;
        content: "*";
        font-size: 18px;
        position: absolute;
        margin-left: -10px;
    }

.btn-login {
    width: 100%;
    height: 34px;
    text-transform: uppercase;
    font-weight: bold;
}

input, .tab_selected, button, .form-control, .input-group-addon {
    border-radius: 0 !important;
}

.checkbox, .radio {
    line-height: 20px;
    padding: 0;
}

    .checkbox input[type=checkbox], .checkbox-inline input[type=checkbox], .radio input[type=radio], .radio-inline input[type=radio] {
        margin-left: 0;
        cursor: pointer;
    }

fieldset[disabled] input[type=checkbox], fieldset[disabled] input[type=radio], input[type=checkbox].disabled, input[type=checkbox][disabled], input[type=radio].disabled, input[type=radio][disabled],
input[type=radio][disabled] + label, input[type=checkbox][disabled] + label {
    cursor: not-allowed;
}

.form-row {
    margin-bottom: 5px;
}

.button {
    border: 1px solid #ccc;
}

input[type="radio"] {
    position: absolute;
    cursor: pointer;
}

    input[type="radio"] + label {
        line-height: 20px;
        min-height: 20px;
        padding-left: 20px;
        margin-bottom: 0;
        cursor: pointer;
    }

td > input[type="radio"] {
    position: relative;
    margin: 0;
}

    td > input[type="radio"] + label {
        padding-left: 5px;
    }

*:not(.radio):not(td) > input[type="radio"] {
    margin-top: 11px;
}

    *:not(.radio):not(td) > input[type="radio"] + label {
        padding-top: 7px;
    }

/* assure la compatibilité des flexbox avec tous les navigateurs */
.flex-container {
    display: inline-flex;
    display: -webkit-flex;
}

/* ICI : tout ce qui est pas beau mais qui fix les problèmes d'affichage des formulaires non refaits */
.champ > input[type='text'], .champ > textarea,
.champ_no_width > input[type='text'], .champ_no_width > textarea {
    width: 100% !important;
    max-width: 300px;
}

td + td.champ > input[type="checkbox"]:first-child, td + td.champ > input[type="radio"]:first-child {
    margin-top: 10px;
}

button, input, select, textarea {
    line-height: initial;
}

.pagination table {
    width: initial;
}
/* Fin de la mocheté*/

/* mise en page */

.titre-page {
    font-size: 1.5em;
}

.titre {
    font-size: 1.5em;
    border-bottom: 1px #eee solid;
    margin-bottom: 15px;
    margin-top: 5px;
}

.titre2 {
    font-size: 14px;
}

.section {
    border-bottom: solid 1px #F28C00;
    margin-top: 10px;
    margin-bottom: 10px;
    font-size: 1.2em;
    padding-left: 10px;
}

td.collapsable_panel_visible {
    border-bottom: solid 1px #F28C00;
    padding: 0 10px;
}

/* modal */

.modal {
    color: #525252;
}

.modal {
    color: #525252;
}

    .modal a, .modal a:link, .modal a:visited {
        color: #f28c00;
    }

        .modal a:hover {
            color: #e59b77;
        }

/* chargement */

.load-container {
    background-color: rgba(255, 255, 255, 0.5);
    text-align: center;
    position: fixed;
    z-index: 2000;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.load-text {
    position: absolute;
    top: 40%;
    left: 0;
    right: 0;
}

    .load-text p {
        font-size: 1.5em;
        margin: 0;
    }

@-webkit-keyframes spinnerRotate {
    from {
        -webkit-transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(360deg);
    }
}

@-moz-keyframes spinnerRotate {
    from {
        -moz-transform: rotate(0deg);
    }

    to {
        -moz-transform: rotate(360deg);
    }
}

@-ms-keyframes spinnerRotate {
    from {
        -ms-transform: rotate(0deg);
    }

    to {
        -ms-transform: rotate(360deg);
    }
}

.load-icon {
    font-size: 4em;
    color: #515048;
    -webkit-animation-name: spinnerRotate;
    -webkit-animation-duration: 2s;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;
    -moz-animation-name: spinnerRotate;
    -moz-animation-duration: 2s;
    -moz-animation-iteration-count: infinite;
    -moz-animation-timing-function: linear;
    -ms-animation-name: spinnerRotate;
    -ms-animation-duration: 2s;
    -ms-animation-iteration-count: infinite;
    -ms-animation-timing-function: linear;
}

/**
 * AddToCalendar White Blue Menu Style
 * http://addtocalendar.com
 */

/* Base */

.addtocalendar var {
    display: none;
}

.addtocalendar {
    position: relative;
    display: inline-block;
    background: transparent!important;
}

.atcb-link {
    display: block;
    outline: none!important;
    cursor: pointer;
    font-size: 20px;
}

    .atcb-link:focus ~ ul,
    .atcb-link:active ~ ul,
    .atcb-list:hover {
        visibility: visible;
    }

.atcb-list {
    visibility: hidden;
    position: absolute;
    top: 100%;
    left: 0;
    width: 170px;
    z-index: 900;
}

.atcb-list,
.atcb-item {
    list-style: none;
    margin: 0;
    padding: 0;
    background: #fff;
}

.atcb-item {
    float: none;
    text-align: left;
}

.atcb-item-link {
    text-decoration: none;
    outline: none;
    display: block;
}

.atcb-item.hover,
.atcb-item:hover {
    position: relative;
    z-index: 900;
    cursor: pointer;
    text-decoration: none;
    outline: none;
}


/* Menu WB */

.atc-style-menu-wb .atcb-list {
    width: 170px;
    border: 1px solid rgb(186,186,186);
    border-radius: 2px;
    box-shadow: 0 0 5px #AAA;
}

.atc-style-menu-wb .atcb-list,
.atc-style-menu-wb .atcb-item {
    background: #fff;
    color: #000;
}

.atc-style-menu-wb .atcb-item,
.atc-style-menu-wb .atcb-item-link {
    line-height: 1.3em;
    vertical-align: middle;
    zoom: 1;
}

    .atc-style-menu-wb .atcb-item-link,
    .atc-style-menu-wb .atcb-item-link:hover,
    .atc-style-menu-wb .atcb-item-link:active,
    .atc-style-menu-wb .atcb-item-link:focus {
        color: #000;
        font-family: "Verdana", sans-serif;
        font-size: 14px;
        text-decoration: none;
        outline: none;
        padding: 5px 15px;
    }

        .atc-style-menu-wb .atcb-item-link:hover,
        .atc-style-menu-wb .atcb-item-link:active,
        .atc-style-menu-wb .atcb-item-link:focus {
            color: #fff;
        }

    .atc-style-menu-wb .atcb-item.hover,
    .atc-style-menu-wb .atcb-item:hover {
        background: rgb(66,129,244);
    }

.box-information {
    color: #31708f;
    background-color: #d9edf7;
    border-color: #bce8f1;
}

.link_home {
    text-align: center !important;
}

.link_inscrLigne {
    font-weight: bold;
}

.msg_codeMembre {
    margin-top: 5px;
    margin-bottom: 5px;
    font-weight: bold;
}

@media (min-width: 768px) {
    .form-inline > * {
        vertical-align: inherit;
    }
}

.intrassoc-footer-default {
    position: -webkit-sticky;
    position: sticky;
    top: 100%;
    background-color: white;
    border-top: 1px solid #EDF1F5;
    text-align: center;
    padding: 15px;
}

.error-label {
    color: rgba(255, 255, 255, 0.8);
}

.box-reverse.alert,
.box-reverse.alert .title,
.box-reverse.alert .error-label,
.box-reverse.alert span {
    color: rgba(255, 255, 255, 0.9);
}

.box-reverse.alert .close {
    color: #ffffff;
    opacity: 0.85;
}